<?php
function upl_xml1tfe($xml1)
{
	include('../_cfg/config.php');
  echo '<br>';
  echo $xml1;
  $xml1='../xml1/'.$xml1;
  echo '***'.file_exists($xml1);
  $xml1=file_get_contents($xml1);
//   $xml1=mb_convert_encoding($xml1, 'UTF-8', 'UTF-16');
//   $xml1=str_replace('UTF-16','UTF-8',$xml1);
  $xml1=substr($xml1,strpos($xml1,'<Grid>')+6);
  $xml1=substr($xml1,0,strrpos($xml1,'</Grid>')+0);
  
  $conta=0;
//   echo $xml1;
  echo '<table width="100%" style="font-size:10px">';
  $xrow=explode('<Row',$xml1);
  for($crow=0; $crow<count($xrow); $crow++)
  {
//   .'</td>'
//     echo .'</td>''<br>C: '.$crow;
//     echo $xro.'</td>'w[$crow];
    $xcol=explode('<Column',$xrow[$crow]);
    for($ccol=0; $ccol<count($xcol); $ccol++)
    {
      $xregi=$xcol[$ccol];
      if(mb_stristr($xregi,'CardCode')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xenti=$xdato;}
      if(mb_stristr($xregi,'CardName')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xentides=$xdato;}
      if(mb_stristr($xregi,'DocNum')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xnumero=$xdato;}
      if(mb_stristr($xregi,'U_TF_NoTramite')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xtramite=$xdato;}
      if(mb_stristr($xregi,'CodNaviera')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xnavi=$xdato;}
      if(mb_stristr($xregi,'NomNaviera')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xnavides=$xdato;}
      if(mb_stristr($xregi,'U_FechaEmbarque')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xfecha1=$xdato;}
      if(mb_stristr($xregi,'U_FechaLlegada')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xfecha2=$xdato;}
      if(mb_stristr($xregi,'FrgnName')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xmarca=$xdato;}
      if(mb_stristr($xregi,'U_SemBan')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xsema=$xdato;}
      if(mb_stristr($xregi,'U_Anio')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xanio=$xdato;}
      
    }
    
    if(mb_stristr($xmarca,'('))
    {$xmarca=substr($xmarca,0,strpos($xmarca,'('));}
    if(mb_stristr($xmarca,'['))
    {$xmarca=substr($xmarca,0,strpos($xmarca,'['));}
    $xmarca=trim($xmarca);
    
    
    $xdias=($xsema-1)*7;
    $cdia=0;
    $vsema='';
    while($vsema!='01')
    {
      $cdia++;
      $xfecha=$xanio.'-01-0'.$cdia;
      $vsema=date('W', strtotime($xfecha));
      if($cdia>10){break;}
    }
    $xfecha=date('Y-m-d', strtotime($xfecha.'+'.$xdias.' days'));
    if($xfecha1==''){$xfecha1=$xfecha;}else{$xfecha1=substr($xfecha1,6,4).'-'.substr($xfecha1,3,2).'-'.substr($xfecha1,0,2); $xfecha=$xfecha1;}
    if($xfecha2==''){$xfecha2=$xfecha;}else{$xfecha2=substr($xfecha2,6,4).'-'.substr($xfecha2,3,2).'-'.substr($xfecha2,0,2);}
    
    
    
    echo '<tr>';
      echo '<td>'.$xenti.'</td>';
      echo '<td>'.$xentides.'</td>';
      echo '<td>'.$xnumero.'</td>';
      echo '<td>'.$xtramite.'</td>';
      echo '<td>'.$xnavi.'</td>';
      echo '<td>'.$xnavides.'</td>';
      echo '<td>'.$xfecha1.'</td>';
      echo '<td>'.$xfecha2.'</td>';
      echo '<td>'.$xmarca.'</td>';
    
   echo '</tr>';

    if($xenti!='')
    {
      $sql_enti='select * from enti0 where enti_codigoc="'.$xenti.'"';
      $res_enti=mysql_query($sql_enti,$link_vcrx);
      if(mysql_num_rows($res_enti)==0)
      {
        $xcodi=new_enti();
        $sql_enti='update enti0 set enti_codigoc="'.$xenti.'" where enti_codigo="'.$xcodi.'"';
        $res_enti=mysql_query($sql_enti,$link_vcrx);
      }
      
      $sql_enti='select * from enti0 where enti_codigoc="'.$xenti.'"';
      $res_enti=mysql_query($sql_enti,$link_vcrx);
      $xcodi=mysql_result($res_enti,0,'enti_codigo');

      $sql_enti='update enti0 set enti_descri="'.$xentides.'", enti_razsoc="'.$xentides.'",enti_nomcom="'.$xentides.'"   where enti_codigoc="'.$xenti.'"';
      $res_enti=mysql_query($sql_enti,$link_vcrx);
      $enti=$xcodi;
    }

    if($xnavi!='')
    {
      $sql_enti='select * from enti0 where enti_codigop="'.$xnavi.'"';
      $res_enti=mysql_query($sql_enti,$link_vcrx);
      if(mysql_num_rows($res_enti)==0)
      {
        $xcodi=new_enti();
        $sql_enti='update enti0 set enti_codigop="'.$xnavi.'" where enti_codigo="'.$xcodi.'"';
        $res_enti=mysql_query($sql_enti,$link_vcrx);
      }
      $sql_enti='select * from enti0 where enti_codigop="'.$xnavi.'"';
      $res_enti=mysql_query($sql_enti,$link_vcrx);
      $xcodi=mysql_result($res_enti,0,'enti_codigo');

      $sql_enti='update enti0 set enti_descri="'.$xnavides.'", enti_razsoc="'.$xnavides.'", enti_nomcom="'.$xnavides.'" where enti_codigop="'.$xnavi.'"';
      $res_enti=mysql_query($sql_enti,$link_vcrx);
      $navi=$xcodi;
    }

    if($xmarca!='')
    {
      $sql_item='select * from item0 where item_descri="'.$xmarca.'"';
      $res_item=mysql_query($sql_item,$link_vcrx);
      if(mysql_num_rows($res_item)==0)
      {
        $xcodi=new_item();
//         $sql_item='update item0 set item_codigo="'.$xma.'" where enti_codigo="'.$xcodi.'"';
//         $res_item=mysql_query($sql_item,$link_vcrx);
        $sql_item='update item0 set item_descri="'.$xmarca.'" where item_codigo="'.$xcodi.'"';
        $res_item=mysql_query($sql_item,$link_vcrx);
        
        $sql_item='select * from item0 where item_descri="'.$xmarca.'"';
        $res_item=mysql_query($sql_item,$link_vcrx);
      }
      $xcodi=mysql_result($res_item,0,'item_codigo');
      $sql_item='update item0 set item_descri="'.$xmarca.'" where item_codigo="'.$xcodi.'"';
      $res_item=mysql_query($sql_item,$link_vcrx);
      $item=$xcodi;
    }

    
    if($xnumero!='')
    {
      $docu='PC10';
      $numero=fillzero($xnumero);
      
      // CABECERA
      $sql_clie='select * from clie1 where docu="'.$docu.'" and numero="'.$numero.'"';
      $res_clie=mysql_query($sql_clie,$link_vcrx);
      if(mysql_num_rows($res_clie)==0)
      {
        $sql_clie='insert into clie1(docu,numero,idate) value("'.$docu.'","'.$numero.'",now())';
        $res_clie=mysql_query($sql_clie,$link_vcrx);
        $sql_clie='select * from clie1 where docu="'.$docu.'" and numero="'.$numero.'"';
        $res_clie=mysql_query($sql_clie,$link_vcrx);
      }
//       echo mysql_error($link_vcrx);
      
      $idnum1=mysql_result($res_clie,0,'idnum1');
        $sql_updt='update clie1 set ';
        $sql_updt.='fecha="'.$xfecha.'",';
        $sql_updt.='fecha1="'.$xfecha1.'",';
        $sql_updt.='fecha2="'.$xfecha2.'",';
        $sql_updt.='ptov="V001",';
        $sql_updt.='ptoe="001001",';
        $sql_updt.='enti="'.$enti.'",';
        $sql_updt.='naviera="'.$navi.'",';
        $sql_updt.='concepto="'.$xtramite.'",';
        $sql_updt.='status="-"';
        $sql_updt.=' where idnum1="'.$idnum1.'"';
        $res_updt=mysql_query($sql_updt,$link_vcrx);
        
//       echo '<br>'.$sql_updt;
//       echo mysql_error($link_vcrx);
      
      
      // DETALLE
      $sql_clie='select * from clie2 where idnum2="'.$idnum1.'" and item="'.$item.'"';
      $res_clie=mysql_query($sql_clie,$link_vcrx);
      if(mysql_num_rows($res_clie)==0)
      {
        $cant=1;
        $iddet=get_iddet($docu,$idnum1);
        $sql_clie='insert into clie2(idnum2,iddet,item,cant) value("'.$idnum1.'","'.$iddet.'","'.$item.'","'.$cant.'")';
        $res_clie=mysql_query($sql_clie,$link_vcrx);
      }
      else
      {$iddet=mysql_result($res_clie,0,'iddet');}
        $sql_clie='update clie2 set puni=1, iva=0,ice=0,irbp=0,dcto=0,prop=0,ssid=0 where idnum2="'.$idnum1.'" and iddet="'.$iddet.'"';
        $res_clie=mysql_query($sql_clie,$link_vcrx);
//       echo mysql_error($link_vcrx);
      
    }

    
  }  
  echo '</table>';
  
//   die();
  
//   echo $str;
// 	$DOM1 = new DOMDocument('1.0', 'UTF-8');
// 	$DOM2 = new DOMDocument('1.0', 'UTF-8');
// 	$DOM1->loadXML($xml1);
  
//   $atrzfe= $DOM1->getElementsByTagName('fechaAutorizacion')->item(0)->nodeValue;
//   $claveacc= $DOM1->getElementsByTagName('claveAcceso')->item(0)->nodeValue;
//   $atrzfe=date('Y-m-d H:i:s',strtotime($atrzfe));
//   $xml2=$DOM1->getElementsByTagName('Row')->item(0)->nodeValue;
//   $DOM2->loadXML($xml2);
//   echo $xml2;
  
  
}  

include('php_gene1.php');

echo '*** CJ Sube XML';
echo '<br>';

$cias=file_get_contents('_cias1.txt');
// $empr_codi=explode($cias,chr(13));
$empr_array=explode(chr(13),$cias);
$empr_array=explode('\r',$cias);
// $empr_array=explode(' ',$cias);

// echo $cias;
// echo count($empr_array);


$empr_array=array(
	"tfe1"
);

$xempr=$_GET['empr'];
if($xempr!=''){$empr_array=array($xempr);}



for($iempr=0; $iempr<count($empr_array); $iempr++)
{
  $empr_codi=substr(trim($empr_array[$iempr]),0,4);
	chdir('../'.$empr_codi.'/_lib');
	include('../_cfg/config.php');
	echo '***********';
	echo '<br>';
	echo $empr_codi;
	echo '==>';
  $ruta1='../xml1/';
    foreach (glob($ruta1.'*.xml') as $origen)
    {
//         echo '<br>'.$origen;
    }       
	echo '<br>'.$origen;
//   if(mb_stristr($origen,'/'))
  {$origen=substr($origen,strrpos($origen,'/')+1,1000);}
	echo upl_xml1tfe($origen);
// 	echo '<br>'.$lxml1;
	chdir('../');
}	

?>